## gnome-software 48.1

=== debian/changelog ===
gnome-software (48.1-1) unstable; urgency=medium

  * New upstream bugfix release (LP: #2106772)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 14:52:21 -0400

=== debian/control ===
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Gunnar Hjalmarsson <gunnarhj@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: appstream,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               docbook-xsl,
               gsettings-desktop-schemas-dev (>= 3.18),
               gtk-doc-tools,
               itstool,
               libadwaita-1-dev (>= 1.6.0),
               libappstream-dev (>= 1.0.0),
               libflatpak-dev (>= 1.14.1) [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
               libfwupd-dev (>= 1.5.6) [linux-any],
               libglib-testing-0-dev,
               libglib2.0-dev (>= 2.76.0),
               libgtk-4-dev (>= 4.16.0),
               libgudev-1.0-dev [linux-any],
               libjson-glib-dev (>= 1.6.0),
               libmalcontent-0-dev [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
               libostree-dev (>= 2022.5-2~) [linux-any],
               libpackagekit-glib2-dev (>= 1.2.5),
               libpolkit-gobject-1-dev,
               libsnapd-glib-dev (>= 1.64) [amd64 arm64 armel armhf i386 ppc64el s390x],
               libsoup-3.0-dev,
               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x powerpc ppc64],
               libxml2-utils,
               libxmlb-dev (>= 0.3.4),
               meson (>= 0.55.0),
               pkgconf,
               polkitd,
               xsltproc
Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libjson-glib-doc <!nodoc>,
                     libsoup-3.0-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
Homepage: https://apps.gnome.org/Software/
X-Ubuntu-Use-Langpack: yes

Package: gnome-software
Architecture: any
Depends: gnome-software-plugin-deb (= ${binary:Version}) | gnome-software-plugin (= ${binary:Version}),
         gnome-software-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: sessioninstaller
Recommends: ${plugin:Recommends}
Suggests: gnome-software-plugin-deb,
          gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
          gnome-software-plugin-snap [amd64 arm64 armel armhf i386 ppc64el s390x]
Description: Software Center for GNOME
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: gnome-software-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software Center for GNOME (common files)
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architecture-independent files.

Package: gnome-software-plugin-deb
Architecture: any
Depends: appstream,
         apt-config-icons,
         gnome-software (= ${binary:Version}),
         libgtk3-perl,
         packagekit (>= 1.2.5),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: apt-config-icons-hidpi
Provides: gnome-software-plugin (= ${binary:Version})
Breaks: gnome-software (<< 46.0-2~)
Replaces: gnome-software (<< 46.0-2~)
Description: .deb support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the AppStream and PackageKit plugins necessary for
 managing .deb packages with apt.

Package: gnome-software-plugin-flatpak
Architecture: amd64 arm64 armel armhf hppa i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
Depends: flatpak (>= 1.14.1),
         gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-software-plugin (= ${binary:Version})
Breaks: gnome-software (<< 46.0-2~)
Replaces: gnome-software (<< 46.0-2~)
Description: Flatpak support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Flatpak plugin.

Package: gnome-software-plugin-fwupd
Architecture: linux-any
Depends: fwupd,
         gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-software (<< 46.0-2~)
Replaces: gnome-software (<< 46.0-2~)
Description: Firmware updater support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the fwupd plugin to update firmware.

Package: gnome-software-plugin-snap
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
         snapd [amd64 arm64 armel armhf i386 ppc64el],
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-software-plugin (= ${binary:Version})
Recommends: snapd [s390x]
Breaks: gnome-software (<< 46.0-2~)
Replaces: gnome-software (<< 46.0-2~)
Description: Snap support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Snap plugin.

Package: gnome-software-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libappstream-dev (>= 0.14.0),
         libglib2.0-dev (>= 2.76.0),
         libgtk-4-dev (>= 4.13.4),
         libjson-glib-dev (>= 1.6.0),
         libpolkit-gobject-1-dev,
         libsoup-3.0-dev,
         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x powerpc ppc64],
         libxmlb-dev (>= 0.3.4),
         ${misc:Depends}
Suggests: gnome-software-doc
Description: Software Center for GNOME - development files
 Software lets you install and update applications and system extensions.
 .
 This package contains headers and other files required when compiling external
 plugins for use with Software.

Package: gnome-software-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Software Center for GNOME - documentation
 Software lets you install and update applications and system extensions.
 .
 This package contains documentation for use when developing plugins for
 Software.

## gnome-software 48.2

=== debian/changelog ===
gnome-software (48.2-1) unstable; urgency=medium

  * New upstream bugfix release
    - Improve memory fragmentation after checking for updates

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 15:47:49 -0400

## gnome-software 48.3

=== debian/changelog ===
gnome-software (48.3-2progress8u1) horok; urgency=medium

  * Initial upload to horok.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Making org.gnome.software gsettings overrides derivatives friendlier.
  * Updating org.gnome.software gsettings overrides for Progress Linux.
  * Overriding first-run to false in org.gnome.software.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 17 Jul 2025 16:33:44 +0200

gnome-software (48.3-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update from upstream gnome-48 branch, up to commit
    48.3-6-g10fb1a6bb
    - d/p/update-monitor-improve-logic-for-deciding-when-to-show-no.patch:
      Reduce frequency of update notifications
      (gnome-software#2856 upstream)
      + Don't notify users about out-of-date apt metadata until it's at
        least 7 days old.
      + Don't nag users about software update actions more than once per
        day, with the frequency reducing according to the importance of
        the action we are suggesting.
      + Don't notify users about out-of-date apt metadata if we would not
        be able to download it right now in any case. In particular this
        prevents an annoying notification when resuming from suspend,
        during which time we can expect that networking has not yet come
        back up.
    - d/p/gs-update-monitor-Do-not-show-Updates-are-Out-of-Date-whe.patch:
      Don't notify users about out-of-date apt metadata if updates are
      being prevented by configuration
      (gnome-software#2815 upstream)
    - Translation updates
  * d/rules: Don't display the sample list of "Editor's Choice" apps.
    Upstream no longer recommends using this list and does not maintain
    it, and we don't want to keep recommending apps that are dead upstream
    such as gnome-dictionary and gnome-photos. Ideally we should provide
    our own curated list for forky, but until we can do that, a minimal
    fix is to not display it. (Helps: #1100084)

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Jul 2025 13:08:06 +0100

gnome-software (48.3-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release
    - Fix a crash on exit while a "toast" notification is shown
      (gnome-software#2853 upstream)
    - Explicitly disconnect signal handlers on dispose, to guard against
      possible use-after-free crashes during exit
      (related to gnome-software#2853 upstream)
    - Translation updates
  * d/control: Remove Gunnar Hjalmarsson from Uploaders (Closes: #1069562)

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jul 2025 18:02:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Gunnar Hjalmarsson <gunnarhj@debian.org>,
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+XSBC-Original-Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Matthias Klumpp <mak@debian.org>
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends: appstream,
                debhelper-compat (= 13),
                dh-sequence-gnome,
@@ -43,8 +45,10 @@
                      libsoup-3.0-doc <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+Vcs-Browser: https://git.progress-linux.org/horok/gnome-software
+Vcs-Git: https://git.progress-linux.org/horok/gnome-software
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/
 X-Ubuntu-Use-Langpack: yes

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# Fix the Flatpak plugin: https://launchpad.net/bugs/1650783
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

GS_CONFIGURE_FLAGS = \
	-Dauto_features=enabled \
	-Dpackagekit=true \
	-Dpackagekit_autoremove=true \
	-Drpm_ostree=false \
	-Dapt=true \
	-Ddefault_featured_apps=true

# these are conditionally re-enabled later
GS_CONFIGURE_FLAGS += \
	-Dfwupd=false \
	-Dflatpak=false \
	-Dgudev=false \
	-Dmalcontent=false

ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el loong64 riscv64 s390x powerpc ppc64,$(DEB_HOST_ARCH)),)
GS_CONFIGURE_FLAGS += -Dsysprof=disabled
endif

ifeq ($(DEB_HOST_ARCH_OS), linux)
	# Enable Flatpak support on supported architectures
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32))
		GS_CONFIGURE_FLAGS += -Dflatpak=true -Dmalcontent=true
	endif

	# Enable GUdev support on Linux
	GS_CONFIGURE_FLAGS += -Dgudev=true
	
	# Enable fwupd support on Linux
	GS_CONFIGURE_FLAGS += -Dfwupd=true

	# Enable snap support on supported architectures
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
		GS_CONFIGURE_FLAGS += -Dsnap=true
	endif
endif

DISTRO_ID = debian
OFFICIAL_REPOS = \'debian-*\', \'progress_linux-*\'
FREE_REPOS = \'debian-*-main\', \'progress_linux-*-main\'
FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	DISTRO_ID = ubuntu
	FREE_REPOS = \'@DISTRO@-*-main\', \'@DISTRO@-*-universe\'
	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
	DISTRO_ID = tanglu
else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
	DISTRO_ID = pureos
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)

override_dh_installgsettings:
	sed -e "s#@OFFICIAL_REPOS@#$(OFFICIAL_REPOS)#g" -e "s#@FREE_REPOS@#$(FREE_REPOS)#g" debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
	sed -i "s/@DISTRO@/$(DISTRO_ID)/g" debian/gnome-software.gsettings-override
	sed -i "s/@URL@/$(FREE_URL)/g" debian/gnome-software.gsettings-override
	dh_installgsettings

execute_after_dh_missing:
	# Not useful for Debian
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_fedora*
	# These files are split out to separate packages
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_appstream*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_flatpak*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_fwupd*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_packagekit*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_snap*
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml
	rm -f debian/gnome-software/usr/share/applications/gnome-software-local-file-fwupd.desktop
# Ubuntu doesn't need the autostart file
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	rm -rf debian/gnome-software/etc/xdg/autostart
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgs_plugin

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-software/

# DISABLED
override_dh_auto_test:

# Ubuntu doesn't need the fwupd plugin
override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-deb'
else
	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-fwupd [linux-any], gnome-software-plugin-deb'
endif

execute_before_dh_clean:
	rm -f debian/gnome-software.gsettings-override

override_dh_gnome_clean:

## gnome-software 48.4

=== debian/changelog ===
gnome-software (48.4-1) unstable; urgency=medium

  * New upstream bugfix release
    - These changes were already included in 48.3-2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 19:04:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
-XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-XSBC-Original-Uploaders: Amin Bandali <bandali@ubuntu.com>,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Matthias Klumpp <mak@debian.org>
-Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends: appstream,
                debhelper-compat (= 13),
                dh-sequence-gnome,
@@ -45,10 +42,8 @@
                      libsoup-3.0-doc <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Vcs-Browser: https://git.progress-linux.org/horok/gnome-software
-Vcs-Git: https://git.progress-linux.org/horok/gnome-software
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
-XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/
 X-Ubuntu-Use-Langpack: yes

=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,7 @@
 endif
 
 DISTRO_ID = debian
-OFFICIAL_REPOS = \'debian-*\', \'progress_linux-*\'
-FREE_REPOS = \'debian-*-main\', \'progress_linux-*-main\'
+FREE_REPOS = \'@DISTRO@-*-main\'
 FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	DISTRO_ID = ubuntu
@@ -64,7 +63,7 @@
 	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)
 
 override_dh_installgsettings:
-	sed -e "s#@OFFICIAL_REPOS@#$(OFFICIAL_REPOS)#g" -e "s#@FREE_REPOS@#$(FREE_REPOS)#g" debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
+	sed "s#@FREE_REPOS@#$(FREE_REPOS)#g" debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
 	sed -i "s/@DISTRO@/$(DISTRO_ID)/g" debian/gnome-software.gsettings-override
 	sed -i "s/@URL@/$(FREE_URL)/g" debian/gnome-software.gsettings-override
 	dh_installgsettings

## gnome-software 49~rc

=== debian/changelog ===
gnome-software (49~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/gnome-software.install: install systemd user units instead of
    autostart files
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 17:17:16 -0400

=== debian/control ===
--- 
+++ 
@@ -40,8 +40,7 @@
                      libgtk-3-doc <!nodoc>,
                      libjson-glib-doc <!nodoc>,
                      libsoup-3.0-doc <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/

## gnome-software 49.0

=== debian/changelog ===
gnome-software (49.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 06:33:45 -0400

## gnome-software 49.1

=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('installed_tests', type : 'boolean', value : false, description : 'enable installed tests')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
option('packagekit_autoremove', type : 'boolean', value : false, description : 'autoremove packages in PackageKit')
option('polkit', type : 'boolean', value : true, description : 'enable PolKit support')
option('eos_updater', type : 'boolean', value : false, description : 'enable eos-updater support')
option('fwupd', type : 'boolean', value : true, description : 'enable fwupd support')
option('flatpak', type : 'boolean', value : true, description : 'enable Flatpak support')
option('malcontent', type : 'boolean', value : true, description : 'enable parental controls support using libmalcontent')
option('rpm_ostree', type : 'boolean', value : false, description : 'enable rpm-ostree support')
option('webapps', type : 'boolean', value : true, description : 'enable webapps support')
option('hardcoded_foss_webapps', type : 'boolean', value : true, description : 'enable inclusion of a default set of installable FOSS webapps')
option('hardcoded_proprietary_webapps', type : 'boolean', value : true, description : 'enable inclusion of a default set of installable proprietary webapps')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('apt', type : 'boolean', value : false, description : 'enable apt: URL handler in the .desktop file')
option('snap', type : 'boolean', value : false, description : 'enable Snap support')
option('external_appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
option('gtk_doc', type : 'boolean', value : true, description : 'enable API reference')
option('hardcoded_curated', type : 'boolean', value : false, description : 'enable installation of default curated apps list (for testing purpose only)')
option('default_featured_apps', type : 'boolean', value : false, description : 'enable installation of default featured apps list (for testing purpose only)')
option('mogwai', type : 'boolean', value : false, description : 'enable metered data support using Mogwai')
option('sysprof', type : 'feature', value : 'auto', description : 'enable sysprof-capture support for profiling')
option('profile', type : 'string', value : '', description : 'Build with specified application ID')
option('opensuse-distro-upgrade', type : 'boolean', value : false, description : 'enable opensuse-distro-upgrade support')
option('dkms', type : 'boolean', value : false, description : 'enable DKMS plugin to help installing DKMS (and akmods) Secure Boot certificates to UEFI MOK')
# FIXME Switch the systemd-sysupdate option to true by default once
# systemd-sysupdate and Software's matching plugin are deemed mature enough.
option('systemd-sysupdate', type : 'boolean', value : false, description : 'enable systemd-sysupdate support')

=== debian/changelog ===
gnome-software (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 08:08:01 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
            Matthias Klumpp <mak@debian.org>
 Build-Depends: appstream,
                debhelper-compat (= 13),
-               dh-sequence-gnome,
                docbook-xsl,
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
@@ -44,7 +43,6 @@
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/
-X-Ubuntu-Use-Langpack: yes
 
 Package: gnome-software
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -104,5 +104,3 @@
 
 execute_before_dh_clean:
 	rm -f debian/gnome-software.gsettings-override
-
-override_dh_gnome_clean:

## gnome-software 49.2

=== debian/changelog ===
gnome-software (49.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 13:12:31 -0500

## gnome-software 49.3

=== debian/changelog ===
gnome-software (49.3-1) unstable; urgency=medium

  * New upstream release
  * Add patch to fix CC0-1.0 identifier in AppStream metadata test files
  * Remove obsolete lintian overrides
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Jan 2026 10:41:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: gnome-software
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Jeremy Bícha <jbicha@ubuntu.com>,
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Matthias Klumpp <mak@debian.org>
 Build-Depends: appstream,
@@ -39,7 +37,7 @@
                      libgtk-3-doc <!nodoc>,
                      libjson-glib-doc <!nodoc>,
                      libsoup-3.0-doc <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/

## gnome-software 50~beta

=== debian/changelog ===
gnome-software (50~beta-1) unstable; urgency=medium

  * Team upload
  * New upstream version 50.beta
  * debian/control: Bump dependencies on gtk4 and libadwaita-1
  * Drop upstreamed patch:
    tests-Use-CC0-1.0-consistently-in-AppStream-metadata.patch
  * Add new file 'gnome-software-local-file-metainfo.desktop' to
    gnome-software-dev.install

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 19 Feb 2026 17:25:51 +0800

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                itstool,
-               libadwaita-1-dev (>= 1.6.0),
+               libadwaita-1-dev (>= 1.8~alpha),
                libappstream-dev (>= 1.0.0),
                libflatpak-dev (>= 1.14.1) [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libfwupd-dev (>= 1.5.6) [linux-any],
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.76.0),
-               libgtk-4-dev (>= 4.16.0),
+               libgtk-4-dev (>= 4.17.5),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.6.0),
                libmalcontent-0-dev [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
